Subject: bug#43302: password shows up in shell buffer (27.1)

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 27 Jan 2021 07:20:39 +0100

Nicholas Drozd <[email-masked]> writes:

> In 27, it looks like this:
>
> #+begin_src
> $ bash password.sh
> Password:
> asdf
> $
> #+end_src
>
> The password (=asdf=) gets input directly into the shell buffer, unstarred.

I'm able to reproduce the behaviour in Emacs 27 and 28.  However, if you
say this:

echo -n "Password:"
read -sr password

Then Emacs will *** the password in the minibuffer, so comint only
triggers the password-reading behaviour if there's no newline there.

Now, Emacs 26 did handle this...  somewhat:

That is, it would include the newline in the prompt.

So...  I think basically this works as intended currently: comint only
triggers the password-reading behaviour if the prompt is on the current
line (i.e., without a newline), so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no